/* $Id: DrawingModeAdapter.java 475 2011-12-02 08:46:54Z ohura $ */
package smart_gs.drawing_tool.drawing_mode;

import java.awt.Graphics;

import smart_gs.drawing_tool.SpreadCanvas;
import smart_gs.drawing_tool.state.DefaultState;
import smart_gs.swingui.GSMouseEvent;

public class DrawingModeAdapter implements Mode{

	public void mouseClicked(GSMouseEvent e,SpreadCanvas canvas) {
		setCursor(canvas);
	}

	public void mouseDragged(GSMouseEvent e,SpreadCanvas canvas) {
		setCursor(canvas);		
	}

	public void mouseEntered(GSMouseEvent e,SpreadCanvas canvas) {
		setCursor(canvas);
	}

	public void mouseExited(GSMouseEvent e,SpreadCanvas canvas) {
		setCursor(canvas);		
	}

	public void mouseMoved(GSMouseEvent e,SpreadCanvas canvas) {
		setCursor(canvas);
	}

	public void mousePressed(GSMouseEvent e, SpreadCanvas canvas) {
		setCursor(canvas);		
	}

	public void mouseReleased(GSMouseEvent e, SpreadCanvas canvas) {
		setCursor(canvas);		
	}

	public void paint(Graphics g,SpreadCanvas canvas) {
		
	}

	@Override
	public void cancel() {
		
	}
	
	public void setCursor(SpreadCanvas canvas) {
		canvas.getImageLabel().setCursor(DefaultState.getInstance().getCursor());		
	}

}
